Subject: [bug#27249] [PATCH] gnu: gnome: Add deja-dup.

From: Christopher Baines <[email-masked]>
Date: Sat, 22 Jul 2017 10:33:51 +0100

On Thu, 20 Jul 2017 11:28:11 +0200
[email-masked] (Ludovic Courtès) wrote:

> Heya Christopher,
> 
> Christopher Baines <[email-masked]> skribis:
> 
> > On 07/06/17 14:01, Ludovic Courtès wrote:  
> >> Christopher Baines <[email-masked]> skribis:
> >>   
> >>> * gnu/packages/gnome.scm (deja-dup): New variable.  
> >> 
> >> There’s a couple of lint warnings fixed by the patch below:  
> 
> [...]
> 
> >> Regarding propagated inputs:
> >>   
> >>> +    (propagated-inputs
> >>> +     `(("gsettings-desktop-schemas" ,gsettings-desktop-schemas)
> >>> +       ("gobject-introspection" ,gobject-introspection)
> >>> +       ("duplicity" ,duplicity)
> >>> +       ("python" ,python2-minimal)
> >>> +       ("python-pygobject" ,python2-pygobject)))  
> >> 
> >> Could you add a comment explaining why all this needs to be
> >> propagated? If there’s a way to avoid it, it’s even better (for
> >> instance, if deja-dup execs duplicity, we could hard-code the
> >> absolute file name of duplicity.)  
> >
> > Thanks for your review Ludo, hopefully I can get around to looking
> > at deja-dup again at the weekend :)  
> 
> It’s been a long week-end.  ;-)  Could you take a look again so we can
> save this patch from bitrot?

Yep, its so long ago, I forget what I ended up doing that weekend!

I've sent another patch now. I think vala and dbus may have moved in
the mean time, so this one includes a patch from upstream to fix
compilation issues with vala 0.36, and the check stage had to be
disabled, as the tests no longer pass due to an issue with DBus.

As for the propagated-inputs, I made them all inputs, and tested the
application, and I couldn't see any problems.